%global _missing_build_ids_terminate_build 0
%global debug_package %{nil}

Name:           act-runner
Version:        0.2.11
Release:        1%?dist
Summary:        Runner for Gitea based on 'act'

License:        MIT
URL:            https://gitea.com/gitea/act_runner
Source0:        %{URL}/archive/v%{version}.tar.gz
Source1:        act-runner.service
Source2:        config.yaml

BuildRequires:  git
BuildRequires:  go
BuildRequires:  systemd-rpm-macros

%description
Runner for Gitea based on 'act'


%prep
%autosetup -n act_runner


%build
unset LDFLAGS
make build


%install
unset LDFLAGS
export GOBIN=%{buildroot}%{_bindir}
mkdir -p $GOBIN
make install
mv $GOBIN/act_runner $GOBIN/act-runner

mkdir -p %{buildroot}%{_unitdir}
cp %{SOURCE1} %{buildroot}%{_unitdir}/

mkdir -p %{buildroot}%{_sysconfdir}/act-runner
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/act-runner/


%files
%license LICENSE
%{_bindir}/act-runner
%{_unitdir}/act-runner.service
%dir %{_sysconfdir}/act-runner/
%config(noreplace) %{_sysconfdir}/act-runner/config.yaml


%post
%systemd_post act-runner.service


%preun
%systemd_preun act-runner.service


%changelog
%autochangelog
